### Function

# Gcr pkcs11_initialize_async

#### Declaration [src]

    void
    gcr_pkcs11_initialize_async (
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously initialize the registered PKCS#11 modules.

#### Parameters

`cancellable` | `GCancellable`
| Optional cancellable used to cancel the operation.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| Callback which will be called when the operation completes.
| The argument can be `NULL`.
`user_data` | `gpointer`
| Data passed to the callback.
| The argument can be `NULL`.
| The data is owned by the caller of the function.